<include file="Public:head"/>
<include file="Public:load" />

<link href="{pigcms::RES}/faceclass/libs/bootstrap/css/bootstrap.min.css" rel="stylesheet">
<link href="{pigcms::RES}/faceclass/libs/bootstrap/css/bootstrap-theme.min.css" rel="stylesheet">
<link href="{pigcms::RES}/faceclass/libs/select2/css/select2.min.css" rel="stylesheet">
<link href="{pigcms::RES}/faceclass/libs/select2/css/select2-bootstrap.min.css" rel="stylesheet">
<link href="{pigcms::RES}/faceclass/libs/dialog/dialog.css" rel="stylesheet">
<link href="{pigcms::RES}/faceclass/css/admin.css" rel="stylesheet">
<link href="{pigcms::RES}/faceclass/css/grid.css" rel="stylesheet">

<div class="content" id="RightContent" style="display:none;">
    <div class="cLineB">
        <h4>面授管理</h4>
    </div>





    <!-- Nav tabs -->
    <ul class="nav nav-tabs">
        <li role="presentation"><a href="{pigcms::U('Faceclass/index',array("token"=>$token))}" role="tab">场次管理</a></li>
        <li role="presentation" class="active"><a href="{pigcms::U('Faceclass/expenses',array("token"=>$token))}" role="tab">费用管理</a></li>
        <!-- <li role="presentation" class="active"><a href="#schedule" role="tab" data-toggle="tab">场次管理</a></li> -->
        <!-- <li role="presentation"><a href="#expenses" role="tab" data-toggle="tab">费用管理</a></li> -->
    </ul>
    <!-- Tab panes -->
    <div class="tab-content">
        <div role="tabpanel" class="tab-pane active" id="schedule">
            <div class="panel panel-default">
                <div class="panel-body grid-filter" id="grid-filter">
                    <form class="form-inline">
                        <div class="form-group">
                            <label for="exampleInputName2">Year</label>
                            <select class="form-control" name="year" id="year">
                                <option value="2011">2011</option>
                                <option value="2012">2012</option>
                                <option value="2013">2013</option>
                                <option value="2014">2014</option>
                                <option value="2015">2015</option>
                                <option value="2016">2016</option>
                            </select>
                        </div>
                        <div class="form-group">
                            <label for="exampleInputName2">Month</label>
                            <select class="form-control" name="month" id="month">
                                <option value="1">1</option>
                                <option value="2">2</option>
                                <option value="3">3</option>
                                <option value="4">4</option>
                                <option value="5">5</option>
                                <option value="6">6</option>
                                <option value="7">7</option>
                                <option value="8">8</option>
                                <option value="9">9</option>
                                <option value="10">10</option>
                                <option value="11">11</option>
                                <option value="12">12</option>
                            </select>
                        </div>
                        <div class="form-group">
                            <label for="exampleInputName2">PM</label>
                            <select class="form-control" name="pm" id="pm">
                                <option value="All">All</option>
                                <option value="Haifei Yang">Haifei Yang</option>
                                <option value="Jacky Lau">Jacky Lau</option>
                                <option value="Steven Chou">Steven Chou</option>
                            </select>
                        </div>
                        <div class="form-group">
                            <label for="exampleInputName2">Vendor</label>
                            <select class="form-control" name="vendor" id="vendor">
                                <option value="All">All</option>
                                <option value="Nike">Nike</option>
                                <option value="Adidas">Adidas</option>
                                <option value="Coca Colar">Coca Colar</option>
                                <option value="Pesi">Pesi</option>
                            </select>
                        </div>
                        <div class="form-group">
                            <label for="exampleInputName2">Trainer</label>
                            <select class="form-control" name="trainer" id="trainer">
                                <option value="Haifei Yang">Haifei Yang</option>
                                <option value="Jacky Lau">Jacky Lau</option>
                                <option value="Steven Chou">Steven Chou</option>
                            </select>
                        </div>
                        <div class="form-group">
                            <label for="exampleInputName2">Balance</label>
                            <select class="form-control" name="balance" id="balance">
                                <option value="All">全部</option>
                                <option value="profit">盈利</option>
                                <option value="deficit">亏损</option>
                            </select>
                        </div>
                        <div class="form-group">
                            <label for="exampleInputName2">Country</label>
                            <select class="form-control" name="country" id="country">
                                <option value="All">All</option>
                                <option value="China">China</option>
                                <option value="Nepal">Nepal</option>
                                <option value="USA">USA</option>
                                <option value="Taiwan,CN">Taiwan,CN</option>
                                <option value="Hongkong,CN">Hongkong,CN</option>
                                <option value="France">France</option>
                            </select>
                        </div>
                        <div class="form-group">
                            <label for="exampleInputName2">City</label>
                            <select class="form-control" name="city" id="city">
                                <option value="Shanghai">Shanghai</option>
                                <option value="Chengdu">Chengdu</option>
                                <option value="Beijing">Beijing</option>
                                <option value="Suzhou">Suzhou</option>
                            </select>
                        </div>
                        <div class="form-group">
                            <label for="exampleInputName2">Scheduled Offering ID</label>
                            <input type="text" class="form-control" name="scheduledOfferingID" placeholder="Scheduled Offering ID">
                        </div>
                        <div class="form-group">
                            <label for="exampleInputName2">Title</label>
                            <input type="text" class="form-control" name="title" placeholder="Title">
                        </div>
                        <div class="form-group">
                            <button type="submit" class="btn btn-primary">搜索</button>
                        </div>
                    </form>
                </div>
                <div id="scheduleTable" class="table-responsive"></div>
            </div>
        </div>
        <div role="tabpanel" class="tab-pane" id="expenses">...</div>
    </div>


</div>
<div class="clr"></div>
</div>
</div>
</div>
<!--底部-->
</div>

<!-- <script src="{pigcms::RES}/faceclass/libs/jquery/jquery-3.1.1.min.js"></script> -->
<script src="{pigcms::RES}/faceclass/libs/bootstrap/js/bootstrap.min.js"></script>
<script src="{pigcms::RES}/faceclass/libs/tmpl/jquery.tmpl.min.js"></script>
<script src="{pigcms::RES}/faceclass/libs/select2/js/select2.min.js"></script>
<script src="{pigcms::RES}/faceclass/libs/dialog/dialog.js"></script>
<script src="{pigcms::RES}/faceclass/js/jquery.pagination.js"></script>
<script src="{pigcms::RES}/faceclass/js/jquery.grid.js"></script>
<script src="{pigcms::RES}/faceclass/js/admin.js"></script>
<script>
$('#scheduleTable').grid({

    pagination: {
        "pageSize": 10,
        "currentPage": 1,
        "textPrev": "上一页",
        "textNext": "下一页",
        "textStatus": "当前显示第 ${limit1} 至 ${limit2} 条，共 ${total} 条数据。",
        "onPageChange": function(page) {},
        "onPageSizeChange": function(pageSize) {}
    },
    idField: 'taskId',
    dataUrl: '/mock/grid.json?pageSize=$pageSize&pageIndex=$pageIndex&sortFeild=$sortFeild&sortType=$sortType',
    multiDeleteUrl: '/mock/grid.json?action=multiDetele&ids=$ids',
    addPageUrl: 'layout-pages/add-page.html',
    addUrl: '/mock/grid.json?action=add&id=$id',
    addDialogTitle: '新增', // 新增弹框的标题
    filter: $('#grid-filter'),
    hover: true,
    zebra: false,
    checkbox: true,
    multiSelect: false,
    queryParams: function() {
        return {
            categoryId: 0,
            timestamp: new Date().getTime()
        }
    },
    tools: [{
        icon: 'fa-plus',
        title: '导入',
        style: 'primary', // default, primary, success, info, warning, danger, link
        apartAction: function(button, grid) {
            grid.handleAdd(); // 默认的新增弹框
        }
    }, {
        icon: 'fa-plus',
        title: '导出',
        style: 'primary', // default, primary, success, info, warning, danger, link
        apartAction: function(button, grid) {
            grid.handleAdd(); // 默认的新增弹框
        }
    }],
    columns: [{
        id: 'participantName',
        title: 'Scheduled Offering ID',
        sortable: true,
        width: 100,
        align: 'left',
        formatter: function(value, data) {
            return '<a href="#" grid-action="reload({categoryId:\'' + value + '\'});">' + value + '(' + Math.random() + ')</a>';
        }
    }, {
        id: 'taskTitle',
        title: '任务',
        sortable: false,
        width: 80,
        align: 'left',
        formatter: function(value, data) {
            return '<a href="/layout-pages/pagination.html?categoryId=' + value + '">' + value + '(' + Math.random() + ')</a>';
        }
    }, 'opration', {
        id: 'moduleName',
        title: '模块名称',
        sortable: true,
        width: 100,
        align: 'left',
        // formatter:function(value, data){  }
    }, {
        id: 'taskEndTime',
        title: '任务结束时间',
        sortable: true,
        width: 100,
        align: 'left',
        // formatter:function(value, data){  }
    }]
});
</script>

<include file="Public:footer"/>



